Customers

Create Contact

POST
/orgs/{organizationId}/contacts

Creates a new contact for a customer. Optional identityDocumentScanId links a scan to the new contact in the same atomic transaction when the scan is not already tied to another contact and, if already linked to a customer, that customer matches customerId.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
customerId*string
firstName*string
Length1 <= length
lastName?string|null
email?|unknown|null
phone?string|null
relation?string
Value in"SPOUSE""CHILD""GRANDCHILD""PARENT""SIBLING""FRIEND""COLLEAGUE""COMPANY_MANAGER""OTHER"
relationOther?string|null
birthday?string
Formatdate-time
address?string|null
birthplace?string|null
profession?string|null
personalNumber?string|null
comments?string|null
isEmergencyContact?boolean
mentionOnInvoice?boolean
locale?string|null
country?string|null
identityDocumentScanId?string

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/contacts' \  -H 'Content-Type: application/json' \  -d '{  "customerId": "string",  "firstName": "string"}'
null